<?xml version="1.0" standalone="yes"?>
<!-- Generated by JAX-WS RI at http://jax-ws.dev.java.net. RI's version is 
	Oracle JAX-WS 2.1.5. -->
<definitions targetNamespace="http://impl.service.qrws.ce.siat.sat.gob.mx/siatbus/matce"
	name="WebServiceDodaWS" xmlns="http://schemas.xmlsoap.org/wsdl/"
	xmlns:tns="http://impl.service.qrws.ce.siat.sat.gob.mx/siatbus/matce"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
	xmlns:SOAP-SEC="http://schemas.xmlsoap.org/soap/security/2000-12">
	<types>
		<xsd:schema>
			<xsd:import
				namespace="http://impl.service.qrws.ce.siat.sat.gob.mx/siatbus/matce"
				schemaLocation="DodaESB.xsd" />
			<xsd:import namespace="http://schemas.xmlsoap.org/soap/security/2000-12"
				schemaLocation="signature.xsd" />
		</xsd:schema>
	</types>
	<message name="Header">
		<part name="request_header" element="SOAP-SEC:Signature" />
	</message>
	<message name="altaDoda">
		<part name="parameters" element="tns:altaDoda" />
	</message>
	<message name="altaDodaResponse">
		<part name="parameters" element="tns:altaDodaResponse" />
	</message>
	<message name="modificarDoda">
		<part name="parameters" element="tns:modificarDoda" />
	</message>
	<message name="modificarDodaResponse">
		<part name="parameters" element="tns:modificarDodaResponse" />
	</message>
	<message name="eliminarDoda">
		<part name="parameters" element="tns:eliminarDoda" />
	</message>
	<message name="eliminarDodaResponse">
		<part name="parameters" element="tns:eliminarDodaResponse" />
	</message>
	<message name="consultaGeneralDoda">
		<part name="parameters" element="tns:consultaGeneralDoda" />
	</message>
	<message name="consultaGeneralDodaResponse">
		<part name="parameters" element="tns:consultaGeneralDodaResponse" />
	</message>
	<message name="consultaEspecificaDoda">
		<part name="parameters" element="tns:consultaEspecificaDoda" />
	</message>
	<message name="consultaEspecificaDodaResponse">
		<part name="parameters" element="tns:consultaEspecificaDodaResponse" />
	</message>
	<message name="consultaEstatus">
		<part name="parameters" element="tns:consultaEstatus" />
	</message>
	<message name="consultaEstatusResponse">
		<part name="parameters" element="tns:consultaEstatusResponse" />
	</message>
	<message name="faultDoda">
		<part name="Fault" element="tns:faultDoda" />
	</message>
	<portType name="WebServiceDoda">
		<operation name="altaDoda">
			<input message="tns:altaDoda"/>
			<output message="tns:altaDodaResponse" />
			<fault message="tns:faultDoda" name="Fault" />
		</operation>
		<operation name="modificarDoda">
			<input message="tns:modificarDoda" />
			<output message="tns:modificarDodaResponse" />
			<fault message="tns:faultDoda" name="Fault" />
		</operation>
		<operation name="eliminarDoda">
			<input message="tns:eliminarDoda" />
			<output message="tns:eliminarDodaResponse" />
			<fault message="tns:faultDoda" name="Fault" />
		</operation>
		<operation name="consultaGeneralDoda">
			<input message="tns:consultaGeneralDoda" />
			<output message="tns:consultaGeneralDodaResponse" />
			<fault message="tns:faultDoda" name="Fault" />
		</operation>
		<operation name="consultaEspecificaDoda">
			<input message="tns:consultaEspecificaDoda" />
			<output message="tns:consultaEspecificaDodaResponse" />
			<fault message="tns:faultDoda" name="Fault" />
		</operation>
		<operation name="consultaEstatus">
			<input message="tns:consultaEstatus" />
			<output message="tns:consultaEstatusResponse" />
			<fault message="tns:faultDoda" name="Fault" />
		</operation>
	</portType>
	<binding name="ESBDodaPortBinding" type="tns:WebServiceDoda">
		<soap:binding transport="http://schemas.xmlsoap.org/soap/http"
			style="document" />
		<operation name="altaDoda">
			<soap:operation soapAction="" />
			<input>
				<soap:header message="tns:Header" part="request_header"
					use="literal" />
				<soap:body use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
			<fault name="Fault">
				<soap:fault use="literal" name="Fault" />
			</fault>
		</operation>
		<operation name="modificarDoda">
			<soap:operation soapAction="" />
			<input>
				<soap:header message="tns:Header" part="request_header"
					use="literal" />
				<soap:body use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
			<fault name="Fault">
				<soap:fault use="literal" name="Fault" />
			</fault>
		</operation>
		<operation name="eliminarDoda">
			<soap:operation soapAction="" />
			<input>
				<soap:header message="tns:Header" part="request_header"
					use="literal" />
				<soap:body use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
			<fault name="Fault">
				<soap:fault use="literal" name="Fault" />
			</fault>
		</operation>
		<operation name="consultaGeneralDoda">
			<soap:operation soapAction="" />
			<input>
				<soap:header message="tns:Header" part="request_header"
					use="literal" />
				<soap:body use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
			<fault name="Fault">
				<soap:fault use="literal" name="Fault" />
			</fault>
		</operation>
		<operation name="consultaEspecificaDoda">
			<soap:operation soapAction="" />
			<input>
				<soap:header message="tns:Header" part="request_header"
					use="literal" />
				<soap:body use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
			<fault name="Fault">
				<soap:fault use="literal" name="Fault" />
			</fault>
		</operation>
		<operation name="consultaEstatus">
			<soap:operation soapAction="" />
			<input>
				<soap:header message="tns:Header" part="request_header"
					use="literal" />
				<soap:body use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
			<fault name="Fault">
				<soap:fault use="literal" name="Fault" />
			</fault>
		</operation>
	</binding>
	<service name="WebServiceDodaWS">
		<port name="WebServiceDodaPort" binding="tns:ESBDodaPortBinding">
			<soap:address
				location="http://localhost:7101/AdministradorQr/WebServiceDodaPort" />
		</port>
	</service>
</definitions>

